; ------------ Reads166 generated header ------------
; module description : 
; module file name   : Timers.ASM
; created            : 10:30:37, Wednesday, April 15, 1998
; ---------------------------------------------------

; ---------------------------------------------------
; CAPCOM0 interrupt service routine
;
; CAPCOM 0 captures the once-per-revolution pulse times.
; The current revolution time is used to compute the 
; ignition and injection times for each cylinder.
; ---------------------------------------------------
ISR_CC0:
       push    r0               ; save registers on stack
       mov     T0, ZEROS        ; reset the tick counter
       mov     CamPeriod, CC0   ; get the period in ticks
       calla   cc_UC, SetIgnitionTimes
       calla   cc_UC, SetInjectionTimes
       pop     r0               ; restore register
       reti

; ---------------------------------------------------
; GPT2 CAPREL interrupt service routine
;
; Timer T5 is configured to capture the crankshaft 
; pulses.  This ISR is invoked at each pulse.
; Use this ISR to carry out some background 
; computations to implement an information-push
; architecture.
; ---------------------------------------------------
ISR_CAPREL:
      push  r0
      mov   r0, CAPREL
      calla cc_UC, prwdhx
      calla cc_UC, crlf
      pop   r0
      reti

; ---------------------------------------------------
; T6 interrupt service routine
;
; Timer T6 runs 8 times faster than T5, so T5 
; underflows 8 times per crankshaft pulse (0.75 
; degrees for a 60-toothed encoder).  The underflows
; increment the CAPCOM counter. 
; Use this ISR to carry out some background 
; computations to implement an information-push
; architecture. 
; ---------------------------------------------------
ISR_T6:
      jb   P2.5, isrT601
      bset P2.5
      reti
isrT601:
      bclr P2.5
      reti

; ---------------------------------------------------
; end of module ...

